VTK: vtkNetCDFCFReader::vtkDependentDimensionInfo Class Reference

| VTK 9.3.1

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkNetCDFCFReader::vtkDependentDimensionInfo Class Reference

`#include <vtkNetCDFCFReader.h>`

Collaboration diagram for vtkNetCDFCFReader::vtkDependentDimensionInfo:
[legend]

## Public Member Functions
| vtkDependentDimensionInfo ()
| vtkDependentDimensionInfo (int ncFD, int varId, vtkNetCDFCFReader *parent)
bool | GetValid () const
bool | GetHasBounds () const
bool | GetCellsUnstructured () const
vtkSmartPointer< vtkIntArray > | GetGridDimensions () const
vtkSmartPointer< vtkDoubleArray > | GetLongitudeCoordinates () const
vtkSmartPointer< vtkDoubleArray > | GetLatitudeCoordinates () const
vtkSmartPointer< vtkStringArray > | GetSpecialVariables () const

## Protected Member Functions
int | LoadMetaData (int ncFD, int varId, vtkNetCDFCFReader *parent)
int | LoadCoordinateVariable (int ncFD, int varId, vtkDoubleArray *coords)
int | LoadBoundsVariable (int ncFD, int varId, vtkDoubleArray *coords)
int | LoadUnstructuredBoundsVariable (int ncFD, int varId, vtkDoubleArray *coords)

## Protected Attributes
bool | Valid
bool | HasBounds
bool | CellsUnstructured
vtkSmartPointer< vtkIntArray > | GridDimensions
vtkSmartPointer< vtkDoubleArray > | LongitudeCoordinates
vtkSmartPointer< vtkDoubleArray > | LatitudeCoordinates
vtkSmartPointer< vtkStringArray > | SpecialVariables

## Detailed Description

Definition at line 158 of file vtkNetCDFCFReader.h.

## Constructor & Destructor Documentation

## ◆ vtkDependentDimensionInfo() [1/2]

vtkNetCDFCFReader::vtkDependentDimensionInfo::vtkDependentDimensionInfo | ( |  | ) |
| inline

Definition at line 161 of file vtkNetCDFCFReader.h.

## ◆ vtkDependentDimensionInfo() [2/2]

vtkNetCDFCFReader::vtkDependentDimensionInfo::vtkDependentDimensionInfo | ( | int | ncFD,
|  | int | varId,
|  | vtkNetCDFCFReader * | parent
| ) |  |

## Member Function Documentation

## ◆ GetValid()

bool vtkNetCDFCFReader::vtkDependentDimensionInfo::GetValid | ( |  | ) | const
| inline

Definition at line 166 of file vtkNetCDFCFReader.h.

## ◆ GetHasBounds()

bool vtkNetCDFCFReader::vtkDependentDimensionInfo::GetHasBounds | ( |  | ) | const
| inline

Definition at line 167 of file vtkNetCDFCFReader.h.

## ◆ GetCellsUnstructured()

bool vtkNetCDFCFReader::vtkDependentDimensionInfo::GetCellsUnstructured | ( |  | ) | const
| inline

Definition at line 168 of file vtkNetCDFCFReader.h.

## ◆ GetGridDimensions()

vtkSmartPointer<vtkIntArray> vtkNetCDFCFReader::vtkDependentDimensionInfo::GetGridDimensions | ( |  | ) | const
| inline

Definition at line 169 of file vtkNetCDFCFReader.h.

## ◆ GetLongitudeCoordinates()

vtkSmartPointer<vtkDoubleArray> vtkNetCDFCFReader::vtkDependentDimensionInfo::GetLongitudeCoordinates | ( |  | ) | const
| inline

Definition at line 170 of file vtkNetCDFCFReader.h.

## ◆ GetLatitudeCoordinates()

vtkSmartPointer<vtkDoubleArray> vtkNetCDFCFReader::vtkDependentDimensionInfo::GetLatitudeCoordinates | ( |  | ) | const
| inline

Definition at line 174 of file vtkNetCDFCFReader.h.

## ◆ GetSpecialVariables()

vtkSmartPointer<vtkStringArray> vtkNetCDFCFReader::vtkDependentDimensionInfo::GetSpecialVariables | ( |  | ) | const
| inline

Definition at line 178 of file vtkNetCDFCFReader.h.

## ◆ LoadMetaData()

int vtkNetCDFCFReader::vtkDependentDimensionInfo::LoadMetaData | ( | int | ncFD,
|  | int | varId,
|  | vtkNetCDFCFReader * | parent
| ) |  |
| protected

## ◆ LoadCoordinateVariable()

int vtkNetCDFCFReader::vtkDependentDimensionInfo::LoadCoordinateVariable | ( | int | ncFD,
|  | int | varId,
|  | vtkDoubleArray * | coords
| ) |  |
| protected

## ◆ LoadBoundsVariable()

int vtkNetCDFCFReader::vtkDependentDimensionInfo::LoadBoundsVariable | ( | int | ncFD,
|  | int | varId,
|  | vtkDoubleArray * | coords
| ) |  |
| protected

## ◆ LoadUnstructuredBoundsVariable()

int vtkNetCDFCFReader::vtkDependentDimensionInfo::LoadUnstructuredBoundsVariable | ( | int | ncFD,
|  | int | varId,
|  | vtkDoubleArray * | coords
| ) |  |
| protected

## Member Data Documentation

## ◆ Valid

bool vtkNetCDFCFReader::vtkDependentDimensionInfo::Valid
| protected

Definition at line 181 of file vtkNetCDFCFReader.h.

## ◆ HasBounds

bool vtkNetCDFCFReader::vtkDependentDimensionInfo::HasBounds
| protected

Definition at line 182 of file vtkNetCDFCFReader.h.

## ◆ CellsUnstructured

bool vtkNetCDFCFReader::vtkDependentDimensionInfo::CellsUnstructured
| protected

Definition at line 183 of file vtkNetCDFCFReader.h.

## ◆ GridDimensions

vtkSmartPointer<vtkIntArray> vtkNetCDFCFReader::vtkDependentDimensionInfo::GridDimensions
| protected

Definition at line 184 of file vtkNetCDFCFReader.h.

## ◆ LongitudeCoordinates

vtkSmartPointer<vtkDoubleArray> vtkNetCDFCFReader::vtkDependentDimensionInfo::LongitudeCoordinates
| protected

Definition at line 185 of file vtkNetCDFCFReader.h.

## ◆ LatitudeCoordinates

vtkSmartPointer<vtkDoubleArray> vtkNetCDFCFReader::vtkDependentDimensionInfo::LatitudeCoordinates
| protected

Definition at line 186 of file vtkNetCDFCFReader.h.

## ◆ SpecialVariables

vtkSmartPointer<vtkStringArray> vtkNetCDFCFReader::vtkDependentDimensionInfo::SpecialVariables
| protected

Definition at line 187 of file vtkNetCDFCFReader.h.

The documentation for this class was generated from the following file:

- IO/NetCDF/vtkNetCDFCFReader.h